Polyrankdocs
ApiFollows

PATCH /v1/follows/{type}/{id}

Toggle the notify bell on a follow (owner only).

PATCH
/v1/follows/{type}/{id}

Toggle the notify bell on a follow (owner only).

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Path Parameters

type*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/follows/trader/string" \  -H "Content-Type: application/json" \  -d '{    "notify": true  }'
{  "target_type": "trader",  "target_id": "string",  "notify": true,  "created_at": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}